Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6594 - unlocking a user account kills nscd
Summary: unlocking a user account kills nscd
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-01 10:27 UTC by tom
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-19 00:26:33 UTC


Attachments (Terms of Use)

Description tom 1999-11-01 10:27:38 UTC
I found that unlocking a shadow user account will cause
nscd to crash.

I ran nscd with debug log turned on, it generated this trace
when I did a usermod -U testuser:

20915:  GETPWBYNAME (testuser)
20912: remove GETPWBYUID entry "0"
20912: remove GETPWBYUID entry "5177"
20912: remove GETPWBYUID entry "4257"
20912: remove GETPWBYNAME entry "???"
20912: remove GETPWBYNAME entry "???"
20912: remove GETPWBYNAME entry "???"
20912: remove GETPWBYUID entry "1324"
20912: remove GETPWBYNAME entry "???"
20912: remove GETPWBYNAME entry "???"
20912: remove GETPWBYNAME entry "???"
20912: remove GETPWBYUID entry "4499"
20912: remove GETPWBYUID entry "2581"
20912: remove GETPWBYUID entry "6221"
20912: remove GETPWBYNAME entry "???"
20912: remove GETPWBYNAME entry "???"
20912: remove GETPWBYUID entry "6411"
20912: remove GETGRBYGID entry "0"
20912: remove GETGRBYNAME entry "???"

nscd has exited at this point.

Comment 1 Cristian Gafton 2000-01-05 00:17:59 UTC
can you please try to run nscd under gdb and see if you can get a backtrace?

I can not reproduce this over here.

Comment 2 Cristian Gafton 2000-02-19 00:26:59 UTC
A bug was fioxed in the recent nscd that was causing nscd to abort when
receiving an unknown request.

The fixed glibc is in the devel tree now, will sow up on rawhide shortly


Note You need to log in before you can comment on or make changes to this bug.